aboutsummaryrefslogtreecommitdiff
path: root/plugins/tpm/tests/expect_successful_clean_plugins
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/tpm/tests/expect_successful_clean_plugins')
-rwxr-xr-xplugins/tpm/tests/expect_successful_clean_plugins35
1 files changed, 35 insertions, 0 deletions
diff --git a/plugins/tpm/tests/expect_successful_clean_plugins b/plugins/tpm/tests/expect_successful_clean_plugins
new file mode 100755
index 0000000..987c49d
--- /dev/null
+++ b/plugins/tpm/tests/expect_successful_clean_plugins
@@ -0,0 +1,35 @@
+#!/usr/bin/env expect
+
+# disables script output
+log_user 0
+
+spawn tmux
+
+# Waiting for tmux to attach. If this is not done, next command, `send` will
+# not work properly.
+sleep 1
+
+# this is tmux prefix + alt + u
+send "u"
+
+set timeout 5
+
+expect_after {
+ timeout { exit 1 }
+}
+
+expect {
+ "Removing \"tmux-example-plugin\""
+}
+
+expect {
+ "\"tmux-example-plugin\" clean success"
+}
+
+expect {
+ "Done, press ENTER to continue." {
+ exit 0
+ }
+}
+
+exit 1